<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngLet="loading$ | async as loading" class="w-full h-full flex flex-col">
  <div class="grow w-full">
    <app-code-editor [formControl]="codeControl"></app-code-editor>
  </div>
  <div class="w-full flex items-center justify-start mt-8">
    <p-button [loading]="loading" [disabled]="disabledCode" label="Create Item" (onClick)="createItemFromJson()"></p-button>
  </div>
</div>
